## sflphone 0.9.13

=== debian/changelog ===
sflphone (0.9.13-3) unstable; urgency=low

  * Change build dependency on libwebkit-dev with libwebkitgtk-dev
    (closes: #635425)
  * Add libnotify 0.7 upstream patch and bump build-dependency
    (closes: #630302)
  * Replace dependency on gnome-icon-theme with just librsvg2-common
    (closes: #611369, #628608)
  * Add empty build-arch and build-indep targets in debian/rules

 -- Francois Marier <francois@debian.org>  Mon, 01 Aug 2011 16:50:46 -0400

sflphone (0.9.13-2) unstable; urgency=low

  * Disable SSLv2 to fix FTBFS bug (closes: #621395)
  * Add missing dependency on gnome-icon-theme (closes: #611369)
    Thanks to Lisandro Damián Nicanor Pérez Meyer!
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Francois Marier <francois@debian.org>  Mon, 30 May 2011 21:11:37 +1200

sflphone (0.9.13-1) unstable; urgency=low

  * New upstream release
    - remove Debian patch (applied upstream)
  * Fix watch file
  * Remove unnecessary versioned dependency

 -- Francois Marier <francois@debian.org>  Tue, 05 Apr 2011 14:14:13 +1200

sflphone (0.9.12-2) unstable; urgency=high

  * Security update (possible buffer overflows)

 -- Francois Marier <francois@debian.org>  Fri, 04 Feb 2011 14:41:18 +1300

=== debian/control ===
Source: sflphone
Section: gnome
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libgtk2.0-dev, libsexy-dev, libdbus-1-dev, libdbus-glib-1-dev, libnotify-dev (>= 0.7), libasound2-dev, libspeexdsp-dev, libebook1.2-dev, uuid-dev, liblog4c-dev, libcelt-dev, chrpath, libresample1-dev, libzrtpcpp-dev, check, libsrtp0-dev, libssl-dev, libpcre3-dev, gnome-doc-utils, libglib2.0-dev, libgnomeui-dev, rarian-compat, libwebkitgtk-dev, libyaml-dev, libedataserverui1.2-dev, astyle
Standards-Version: 3.9.2
Homepage: http://www.sflphone.org
Vcs-Git: git://git.debian.org/git/collab-maint/sflphone.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sflphone.git;a=summary

Package: sflphone-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SIP and IAX2 compatible VoIP phone - core daemon
 SFLphone is a SIP/IAX2 compatible softphone for Linux. The SFLphone project's
 goal is to create a robust enterprise-class desktop phone. While it can serve
 home users very well, it is designed with a hundred-calls-a-day receptionist
 in mind.
 .
 It features a flexible client/server architecture where the GTK+ client talks
 to the daemon through DBus and is capable of handling multiple VoIP connections
 at once.
 .
 This is the daemon package required by all SFLphone clients.

Package: sflphone-data
Architecture: all
Depends: ${misc:Depends}
Description: SIP and IAX2 compatible VoIP phone - common data
 SFLphone is a SIP/IAX2 compatible softphone for Linux. The SFLphone project's
 goal is to create a robust enterprise-class desktop phone. While it can serve
 home users very well, it is designed with a hundred-calls-a-day receptionist
 in mind.
 .
 It features a flexible client/server architecture where the GTK+ client talks
 to the daemon through DBus and is capable of handling multiple VoIP connections
 at once.
 .
 This package includes the data files required by all SFLphone clients.

Package: sflphone-gnome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sflphone-daemon (= ${binary:Version}), sflphone-data (= ${source:Version}), librsvg2-common
Description: SIP and IAX2 compatible VoIP phone - GNOME client
 SFLphone is a SIP/IAX2 compatible softphone for Linux. The SFLphone project's
 goal is to create a robust enterprise-class desktop phone. While it can serve
 home users very well, it is designed with a hundred-calls-a-day receptionist
 in mind.
 .
 It features a flexible client/server architecture where the GTK+ client talks
 to the daemon through DBus and is capable of handling multiple VoIP connections
 at once.
 .
 This is the graphical client for GNOME.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


config.status:
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub sflphone-common/config.sub
	cp -f /usr/share/misc/config.sub sflphone-client-gnome/config.sub
	cp -f /usr/share/misc/config.sub sflphone-common/libs/pjproject/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.sub sflphone-common/config.guess
	cp -f /usr/share/misc/config.sub sflphone-client-gnome/config.guess
	cp -f /usr/share/misc/config.sub sflphone-common/libs/pjproject/config.guess
endif
	cd sflphone-common/libs/pjproject && ./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-ilbc-codec
	cd sflphone-common && ./autogen.sh --prefix=/usr
	cd sflphone-common && ./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-doxygen --without-ilbc
	cd sflphone-client-gnome && ./autogen.sh --prefix=/usr
	cd sflphone-client-gnome && ./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build-arch:
build-indep:
build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	cd sflphone-common/libs/pjproject && $(MAKE) V=1
	cd sflphone-common && $(MAKE) V=1
	cd sflphone-client-gnome && $(MAKE) V=1
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	cd sflphone-common/libs/pjproject && [ ! -f build.mak ] || $(MAKE) distclean
	cd sflphone-common && [ ! -f Makefile ] || $(MAKE) distclean
	cd sflphone-client-gnome && [ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/sflphone.
	cd sflphone-common && $(MAKE) DESTDIR=$(CURDIR)/debian/sflphone-daemon install
	cd sflphone-client-gnome && $(MAKE) DESTDIR=$(CURDIR)/debian/sflphone-gnome install

	# Move gconf schemas to the right place
	mv $(CURDIR)/debian/sflphone-gnome/usr/etc/gconf/schemas/* $(CURDIR)/debian/sflphone-gnome/usr/share/gconf/schemas/
	cd $(CURDIR)/debian/sflphone-gnome/usr/ && rmdir -p etc/gconf/schemas

	# Remove a few files
	rm -rf $(CURDIR)/debian/sflphone-daemon/usr/include
	rm -f $(CURDIR)/debian/sflphone-daemon/usr/bin/dbusxx-*
	rm -f $(CURDIR)/debian/sflphone-daemon/usr/bin/*Tester
	rm -f $(CURDIR)/debian/sflphone-gnome/usr/bin/sflphone
	rm -f $(CURDIR)/debian/sflphone-daemon/usr/lib/*.la
	rm -f $(CURDIR)/debian/sflphone-daemon/usr/lib/*.a
	rm -f $(CURDIR)/debian/sflphone-daemon/usr/lib/*.so

	# Move architecture-independent files to the data package
	mv $(CURDIR)/debian/sflphone-gnome/usr/share/sflphone/* $(CURDIR)/debian/sflphone-data/usr/share/sflphone/
	mv $(CURDIR)/debian/sflphone-daemon/usr/share/sflphone/ringtones/ $(CURDIR)/debian/sflphone-data/usr/share/sflphone/
	rmdir $(CURDIR)/debian/sflphone-gnome/usr/share/sflphone/
	rmdir $(CURDIR)/debian/sflphone-daemon/usr/share/sflphone/

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sflphone 1.0.1

=== debian/changelog ===
sflphone (1.0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build definitions for S/390 targets (closes: #653127).

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Dec 2011 21:20:38 +0000

sflphone (1.0.1-4) unstable; urgency=low

  * Don't assume that arch:all packages will get built (closes: #649726)

 -- Francois Marier <francois@debian.org>  Fri, 25 Nov 2011 13:24:12 +1300

sflphone (1.0.1-3) unstable; urgency=low

  * Explicit dh_installdirs in override_dh_auto_install (closes: #649726)
  * Backport upstream patch to silence log messages (closes: #591807)

 -- Francois Marier <francois@debian.org>  Thu, 24 Nov 2011 16:07:47 +1300

sflphone (1.0.1-2) unstable; urgency=low

  * debian/rules: start with dh_auto_install in its override target

 -- Francois Marier <francois@debian.org>  Wed, 23 Nov 2011 14:51:16 +1300

sflphone (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Drop remove_sslv2 and libnotify07 patches (no longer needed)

  * debian/rules: simplify and update paths
  * new build dependencies: libdbus-c++-dev, libgtk-3-dev and
    libwebkitgtk-3.0-dev
  * remove build dependency on libedataserverui-dev (closes: #640090)

 -- Francois Marier <francois@debian.org>  Tue, 22 Nov 2011 21:35:35 +1300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: extra
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libgtk2.0-dev, libsexy-dev, libdbus-1-dev, libdbus-glib-1-dev, libnotify-dev (>= 0.7), libasound2-dev, libspeexdsp-dev, libebook1.2-dev, uuid-dev, liblog4c-dev, libcelt-dev, chrpath, libresample1-dev, libzrtpcpp-dev, check, libsrtp0-dev, libssl-dev, libpcre3-dev, gnome-doc-utils, libglib2.0-dev, libgnomeui-dev, rarian-compat, libwebkitgtk-dev, libyaml-dev, libedataserverui1.2-dev, astyle
+Build-Depends: debhelper (>= 8), autotools-dev, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libgtk-3-dev, libsexy-dev, libdbus-1-dev, libdbus-glib-1-dev, libnotify-dev (>= 0.7), libasound2-dev, libspeexdsp-dev, libebook1.2-dev, uuid-dev, liblog4c-dev, libcelt-dev, chrpath, libresample1-dev, libzrtpcpp-dev, check, libsrtp0-dev, libssl-dev, libpcre3-dev, gnome-doc-utils, libglib2.0-dev, libgnomeui-dev, rarian-compat, libwebkitgtk-3.0-dev, libyaml-dev, astyle, libdbus-c++-dev
 Standards-Version: 3.9.2
 Homepage: http://www.sflphone.org
 Vcs-Git: git://git.debian.org/git/collab-maint/sflphone.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	cd daemon/libs/pjproject && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-ilbc-codec
	cd daemon && ./autogen.sh --prefix=/usr
	cd daemon && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-doxygen --without-ilbc
	cd gnome && ./autogen.sh --prefix=/usr
	cd gnome && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

override_dh_auto_build:
	cd daemon/libs/pjproject && make V=1
	cd daemon && make V=1
	cd gnome && make V=1

override_dh_auto_clean:
	cd daemon/libs/pjproject && [ ! -f build.mak ] || $(MAKE) distclean
	cd daemon && [ ! -f Makefile ] || $(MAKE) distclean
	cd gnome && [ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_clean

override_dh_auto_install:
	cd daemon && make DESTDIR=$(CURDIR)/debian/sflphone-daemon install
	cd gnome && make DESTDIR=$(CURDIR)/debian/sflphone-gnome install

	# Move gconf schemas to the right place
	mv $(CURDIR)/debian/sflphone-gnome/usr/etc/gconf/schemas/* $(CURDIR)/debian/sflphone-gnome/usr/share/gconf/schemas/
	cd $(CURDIR)/debian/sflphone-gnome/usr/ && rmdir -p etc/gconf/schemas

	# Move architecture-independent files to the data package
	if test -d "$(CURDIR)/debian/sflphone-data/usr/share/sflphone/" ; then \
	    mv $(CURDIR)/debian/sflphone-gnome/usr/share/sflphone/* $(CURDIR)/debian/sflphone-data/usr/share/sflphone/ ;\
	    mv $(CURDIR)/debian/sflphone-daemon/usr/share/sflphone/ringtones/ $(CURDIR)/debian/sflphone-data/usr/share/sflphone/ ;\
	fi
	rm -rf $(CURDIR)/debian/sflphone-gnome/usr/share/sflphone/
	rm -rf $(CURDIR)/debian/sflphone-daemon/usr/share/sflphone/

	dh_auto_install

## sflphone 1.0.2

=== kde/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(sflphone-client-kde)

SET(LOCAL_CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
SET(CMAKE_MODULE_PATH "${LOCAL_CMAKE_MODULE_PATH}")

# --- custom targets: ---
INCLUDE( ${LOCAL_CMAKE_MODULE_PATH}/TargetDistclean.cmake  REQUIRED)

FIND_PACKAGE ( Kabc REQUIRED )
FIND_PACKAGE ( KdepimLibs REQUIRED )
# FIND_PACKAGE ( PkgConfig REQUIRED )
FIND_PACKAGE ( KDE4 REQUIRED )
FIND_PACKAGE ( Qt4 REQUIRED )

INCLUDE ( KDE4Defaults )

MESSAGE("cmake install prefix is : ${CMAKE_INSTALL_PREFIX}")

INCLUDE_DIRECTORIES ( ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

INCLUDE (  ${CMAKE_ROOT}/Modules/CheckIncludeFiles.cmake  )
INCLUDE(   ${QT_USE_FILE}   )


add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(man)
add_subdirectory(po)
add_subdirectory(plasma)

# make dist target, see:
# https://agateau.wordpress.com/2009/08/09/cmake-and-make-dist-the-simple-version/
set(PROJECT_VERSION "1.0.0")
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
    add_custom_target(dist
            COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
            | gzip > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== kde/doc/CMakeLists.txt ===
########### install files ###############
#
#

KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR sflphone-client-kde)

=== kde/man/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_manpage(sflphone-client-kde.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

# kde4_create_manpage(sflphone.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== kde/plasma/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

add_subdirectory(dataengine)
add_subdirectory(plasmoid)

=== kde/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

add_subdirectory(fr)
add_subdirectory(es)
add_subdirectory(de)
add_subdirectory(ru)
add_subdirectory(zh_CN)
add_subdirectory(zh_HK)

=== kde/src/CMakeLists.txt ===

ADD_DEFINITIONS(
	${KDE4_DEFINITIONS}
	${QT_DEFINITIONS}
	-fexceptions
	-DDATA_INSTALL_DIR="\\\"${DATA_INSTALL_DIR}\\\""
	-DSHARE_INSTALL_PREFIX="\\\"${SHARE_INSTALL_PREFIX}\\\""
)

add_subdirectory(lib)

MESSAGE("CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")

IF(${CMAKE_BUILD_TYPE} MATCHES Release)
	MESSAGE("NO DEBUG OUTPUT")
	ADD_DEFINITIONS( -DQT_NO_DEBUG_OUTPUT)
ENDIF(${CMAKE_BUILD_TYPE} MATCHES Release)

SET ( KDE4_KABC_LIBS  -lkabc )

SET(	sflphone_client_kde_SRCS
	SFLPhoneView.cpp
	SFLPhone.cpp
        SFLPhoneapplication.cpp
	widgets/SFLPhoneTray.cpp
	main.cpp
	AccountWizard.cpp
	widgets/AccountItemWidget.cpp
	widgets/CallTreeItem.cpp
        widgets/HistoryTreeItem.cpp
	ActionSetAccountFirst.cpp
	conf/ConfigurationDialog.cpp
	conf/dlggeneral.cpp
	conf/dlgdisplay.cpp
	conf/dlgaccounts.cpp
	conf/dlgaudio.cpp
	conf/dlgaddressbook.cpp
	conf/dlghooks.cpp
	conf/ConfigurationSkeleton.cpp
	conf/ConfigAccountList.cpp
	widgets/Dialpad.cpp
	widgets/ContactItemWidget.cpp
	widgets/ContactDock.cpp
	widgets/HistoryDock.cpp
	widgets/BookmarkDock.cpp
	widgets/TranslucentButtons.cpp
	Codec.cpp
	AccountListModel.cpp
	AkonadiBackend.cpp
        CallView.cpp
        AccountView.cpp
)


# generate rules for building source files from the resources
SET(QtApp_RCCS qrc/resources.qrc)
QT4_ADD_RESOURCES(QtApp_RCC_SRCS ${QtApp_RCCS})



# kde4_automoc(${sflphone_client_kde_SRCS})
SET(    config_ui_files
	conf/dlggeneralbase.ui
	conf/dlgdisplaybase.ui
	conf/dlgaccountsbase.ui
	conf/dlgaudiobase.ui
	conf/dlgaddressbookbase.ui
	conf/dlghooksbase.ui
)

KDE4_ADD_UI_FILES(sflphone_client_kde_SRCS ui/SFLPhoneView_base.ui  ${config_ui_files}  )

KDE4_ADD_KCFG_FILES(sflphone_client_kde_SRCS conf/kcfg_settings.kcfgc)
INSTALL(FILES conf/sflphone-client-kde.kcfg DESTINATION ${KCFG_INSTALL_DIR})

KDE4_ADD_EXECUTABLE(sflphone-client-kde ${sflphone_client_kde_SRCS} ${QtApp_RCC_SRCS})

TARGET_LINK_LIBRARIES(sflphone-client-kde qtsflphone ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} )

########### install files ###############

INSTALL(TARGETS sflphone-client-kde DESTINATION ${BIN_INSTALL_DIR})
INSTALL( FILES icons/transferarraw.png   DESTINATION  ${DATA_INSTALL_DIR}/sflphone-client-kde )
INSTALL( FILES icons/transfertarrow.svg  DESTINATION  ${DATA_INSTALL_DIR}/sflphone-client-kde )
INSTALL( FILES icons/confBlackWhite.svg  DESTINATION  ${DATA_INSTALL_DIR}/sflphone-client-kde )
INSTALL( FILES icons/confBlackWhite.png  DESTINATION  ${DATA_INSTALL_DIR}/sflphone-client-kde )

=== kde/plasma/dataengine/CMakeLists.txt ===
project(plasma-sflphone)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )


set(sflphone_engine_SRCS
     sflphonEngine.cpp
    )


kde4_add_plugin(plasma_engine_sflphone ${sflphone_engine_SRCS})
target_link_libraries(plasma_engine_sflphone
                      qtsflphone
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_sflphone
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-engine-sflphone.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

#TARGET_LINK_LIBRARIES(sflphone-client-kde sflphonekde ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KABC_LIBS})

=== kde/plasma/plasmoid/CMakeLists.txt ===
# Project Needs a name ofcourse
project(sflphone-plasmoid)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(tutorial1_SRCS
   SFLPhonePlasmoid.cpp
   CallItem.cpp
   ConferenceItem.cpp
   DialPage.cpp
   ViewItem.h
   MainWidget.cpp)

install( FILES
   ../../src/icons/refuse.svg
   ../../src/icons/ring.svg
   ../../src/icons/incoming.svg
   ../../src/icons/outgoing.svg
   ../../src/icons/missed.svg
   ../../src/icons/dial.svg
   ../../src/icons/current.svg
   ../../src/icons/busy.svg
   ../../src/icons/hold.svg
   ../../src/icons/fail.svg
   ../../src/icons/transfert.svg
   ../../src/icons/hang_up.svg
   ../../src/icons/call.svg
   ../../src/icons/sflphone.svg
   ../../src/icons/sflphone_notif.svg
DESTINATION ${DATA_INSTALL_DIR}/sflphone-plasmoid/icons/ )

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_sflphone ${tutorial1_SRCS})
target_link_libraries(plasma_applet_sflphone
                      qtsflphone
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_sflphone
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-sflphone.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

#set(sflphone-plasmoid_SRCS
#    SFLPhonePlasmoid.cpp)
#
#kde4_add_plugin(plasma_applet_sflphone ${sflphone-plasmoid_SRCS})
#target_link_libraries(plasma_applet_sflphone ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS})
#
#install(TARGETS plasma_applet_sflphone DESTINATION ${PLUGIN_INSTALL_DIR})
#install(FILES plasma-applet-sflphone.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kde/src/lib/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

ADD_DEFINITIONS(
	${QT_DEFINITIONS} 
	-fexceptions
)

PROJECT(qtsflphone)

#target_link_libraries(qtsflphone ${QT_QTCORE_LIBRARY} ${KDE4_KDEUI_LIBS})

SET(LOCAL_CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
SET(CMAKE_MODULE_PATH "${LOCAL_CMAKE_MODULE_PATH}")

FIND_PACKAGE ( KDE4 REQUIRED )
FIND_PACKAGE ( Qt4 REQUIRED )

INCLUDE ( KDE4Defaults )

set(GENERIC_LIB_VERSION "1.0.2")

INCLUDE_DIRECTORIES ( ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

#File to compile
set( qtsflphone_LIB_SRCS
  Call.cpp
  Account.cpp
  AccountList.cpp
  CallModel.cpp
  Contact.cpp
  ContactBackend.cpp
  Item.cpp
  configurationmanager_interface_singleton.cpp
  callmanager_interface_singleton.cpp
  instance_interface_singleton.cpp
  sflphone_const.h
)

# Build dbus interfaces
SET ( dbus_xml_introspecs_path ${CMAKE_CURRENT_SOURCE_DIR}/dbus/)

# configuration manager interface
SET ( configurationmanager_xml  ${dbus_xml_introspecs_path}/configurationmanager-introspec.xml )

SET_SOURCE_FILES_PROPERTIES(
   ${configurationmanager_xml}
   PROPERTIES 
   CLASSNAME ConfigurationManagerInterface
   INCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/dbus/metatypes.h") 

QT4_ADD_DBUS_INTERFACE(
   qtsflphone_LIB_SRCS
   ${configurationmanager_xml}
   configurationmanager_dbus_interface)

# call manager interface
SET ( callmanager_xml  ${dbus_xml_introspecs_path}/callmanager-introspec.xml )

SET_SOURCE_FILES_PROPERTIES(
   ${callmanager_xml}
   PROPERTIES 
   CLASSNAME CallManagerInterface
   INCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/dbus/metatypes.h") 

QT4_ADD_DBUS_INTERFACE(
   qtsflphone_LIB_SRCS
   ${callmanager_xml}
   callmanager_dbus_interface)

# instance interface
SET ( instance_xml  ${dbus_xml_introspecs_path}/instance-introspec.xml )

SET_SOURCE_FILES_PROPERTIES(
   ${instance_xml}
   PROPERTIES 
   CLASSNAME InstanceInterface
   INCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/dbus/metatypes.h") 
   
QT4_ADD_DBUS_INTERFACE(
   qtsflphone_LIB_SRCS
   ${instance_xml}
   instance_dbus_interface)
 
kde4_add_library( qtsflphone  SHARED ${qtsflphone_LIB_SRCS} )
 
target_link_libraries( qtsflphone
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTCORE_LIBRARY}
)

set_target_properties( qtsflphone
  PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION}
)

set( qtsflphone_LIB_HDRS
  Account.h
  AccountList.h
  Call.h  
  CallModel.h
  Contact.h
  ContactBackend.h  
  Item.h  
  configurationmanager_interface_singleton.h
  callmanager_interface_singleton.h
  instance_interface_singleton.h
  sflphone_const.h
)

install( FILES ${qtsflphone_LIB_HDRS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/qtsflphone
  COMPONENT Devel
)
 
install( TARGETS qtsflphone  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
sflphone (1.0.2-1ubuntu2) precise; urgency=low

  * 07_config-guess-sub.patch: regenerated config.{guess,sub} file
    to fix FTBFS on armel/armhf. 

 -- Whoopie <whoopie79@gmx.net>  Tue, 27 Mar 2012 13:50:18 +0200

sflphone (1.0.2-1ubuntu1) precise; urgency=low

  * Apply some upstream patches to fix FTBFS (LP: #913018):
    - debian/patches/05_glib_includes.patch: fix glib includes.
    - debian/patches/06_use_XkbKeycodeToKeysym.patch: use 
      XkbKeycodeToKeysym instead of (deprecated) XKeycodeToKeysym.

 -- Whoopie <whoopie79@gmx.net>  Thu, 22 Mar 2012 10:29:10 +0100

sflphone (1.0.2-1) unstable; urgency=low

  * New upstream release
    - remove logging patch (applied upstream)
    - update s390 patch since it was partially applied upstream
  * Include the Evolution plugin as a separate binary package

  * Fix compilation issues on SH4 (closes: #658987)
  * Merge Ubuntu's binutils-gold linking fix

 -- Francois Marier <francois@debian.org>  Sat, 18 Feb 2012 21:47:09 +1300

=== debian/rules ===
--- 
+++ 
@@ -18,21 +18,26 @@
 	cd daemon && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-doxygen --without-ilbc
 	cd gnome && ./autogen.sh --prefix=/usr
 	cd gnome && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	cd plugins && ./autogen.sh --prefix=/usr
+	cd plugins && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 override_dh_auto_build:
 	cd daemon/libs/pjproject && make V=1
 	cd daemon && make V=1
 	cd gnome && make V=1
+	cd plugins && make V=1
 
 override_dh_auto_clean:
 	cd daemon/libs/pjproject && [ ! -f build.mak ] || $(MAKE) distclean
 	cd daemon && [ ! -f Makefile ] || $(MAKE) distclean
 	cd gnome && [ ! -f Makefile ] || $(MAKE) distclean
+	cd plugins && [ ! -f Makefile ] || $(MAKE) distclean
 	dh_auto_clean
 
 override_dh_auto_install:
 	cd daemon && make DESTDIR=$(CURDIR)/debian/sflphone-daemon install
 	cd gnome && make DESTDIR=$(CURDIR)/debian/sflphone-gnome install
+	cd plugins && make DESTDIR=$(CURDIR)/debian/sflphone-evolution install
 
 	# Move gconf schemas to the right place
 	mv $(CURDIR)/debian/sflphone-gnome/usr/etc/gconf/schemas/* $(CURDIR)/debian/sflphone-gnome/usr/share/gconf/schemas/

=== debian/watch ===
version=3
http://www.sflphone.org/download/source-code https://projects.savoirfairelinux.com/attachments/download/[0-9]+/sflphone-([0-9.]+)\.tar\.gz
